CREATE SCHEMA IF NOT EXISTS BDR;
USE BDR;
CREATE TABLE IF NOT EXISTS BANCO(
    NR VARCHAR(20),
    DESCRICAO varchar(100),
    primary key(NR)
);

CREATE TABLE IF NOT EXISTS CONTA(
    NR VARCHAR(25),
    CLIENTE VARCHAR(100),
    DESCRICAO VARCHAR(100),
    DIRETORIO VARCHAR(500),
    BANCO VARCHAR(20),
    PRIMARY KEY(NR, BANCO),
    FOREIGN KEY(BANCO) REFERENCES BANCO(NR)
);

CREATE TABLE IF NOT EXISTS LANCAMENTOS(
    BANCO VARCHAR(20),
    CONTA VARCHAR(25),
    NR INT AUTO_INCREMENT,
    DESCRICAO VARCHAR(500),
    TIPO VARCHAR(1),
    VALOR_REAL DOUBLE,
    VALOR_DOLAR DOUBLE,
	MES INT,
    DIA INT,
    TAG VARCHAR(30),
    ARQUIVO_EXTRATO VARCHAR(500),
    DATA_VENCIMENTO DATE,
    PRIMARY KEY(NR),
    FOREIGN KEY(CONTA) REFERENCES CONTA(NR),
	FOREIGN KEY(BANCO) REFERENCES CONTA(BANCO)
);

CREATE TABLE IF NOT EXISTS LANCAMENTOS_FUTUROS(
    BANCO VARCHAR(20),
    CONTA VARCHAR(25),
    NR INT AUTO_INCREMENT,
    DESCRICAO VARCHAR(500),
    TIPO VARCHAR(1),
    VALOR_REAL DOUBLE,
    VALOR_DOLAR DOUBLE,
	MES INT,
    DIA INT,
    TAG VARCHAR(30),
    ARQUIVO_EXTRATO VARCHAR(500),
    DATA_VENCIMENTO DATE,
    PRIMARY KEY(NR),
    FOREIGN KEY(CONTA) REFERENCES CONTA(NR),
	FOREIGN KEY(BANCO) REFERENCES CONTA(BANCO)
);


INSERT INTO BANCO(NR, DESCRICAO) VALUES('1', 'Banco do Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('3', 'Banco da Amazonia S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('4', 'Banco do Nordeste do Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('12', 'Banco Inbursa S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('17', 'BNY Mellon Banco S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('21', 'BANESTES S.A. Banco do Estado do Espirito Santo');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('24', 'Banco BANDEPE S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('25', 'Banco Alfa S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('29', 'Banco Itau Consignado S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('33', 'Banco Santander  (Brasil)  S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('36', 'Banco Bradesco BBI S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('37', 'Banco do Estado do Para S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('40', 'Banco Cargill S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('41', 'Banco do Estado do Rio Grande do Sul S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('47', 'Banco do Estado de Sergipe S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('62', 'Hipercard Banco Multiplo S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('63', 'Banco Bradescard S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('64', 'Goldman Sachs do Brasil Banco Multiplo S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('65', 'Banco Andbank (Brasil) S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('69', 'Banco Crefisa S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('70', 'BRB - Banco de Brasilia S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('74', 'Banco J. Safra S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('75', 'Banco ABN AMRO S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('77', 'Banco Inter S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('81', 'BancoSeguro S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('82', 'Banco Topazio S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('83', 'Banco da China Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('95', 'Travelex Banco de Cambio S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('96', 'Banco B3 S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('104', 'Caixa Economica Federal');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('107', 'Banco BOCOM BBM S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('118', 'Standard Chartered Bank (Brasil) S/A–Bco Invest.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('119', 'Banco Western Union do Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('120', 'Banco Rodobens S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('121', 'Banco Agibank S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('125', 'Brasil Plural S.A. - Banco Multiplo');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('128', 'MS Bank S.A. Banco de Cambio');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('129', 'UBS Brasil Banco de Investimento S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('144', 'BEXS Banco de Cambio S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('169', 'Banco Ole Bonsucesso Consignado S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('184', 'Banco Itau BBA S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('204', 'Banco Bradesco Cartões S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('208', 'Banco BTG Pactual S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('212', 'Banco Original S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('217', 'Banco John Deere S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('218', 'Banco BS2 S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('222', 'Banco Credit Agricole Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('224', 'Banco Fibra S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('233', 'Banco Cifra S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('237', 'Banco Bradesco S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('246', 'Banco ABC Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('249', 'Banco Investcred Unibanco S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('250', 'BCV - Banco de Credito e Varejo S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('254', 'Parana Banco S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('265', 'Banco Fator S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('269', 'HSBC Brasil S.A. - Banco de Investimento');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('318', 'Banco BMG S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('320', 'China Construction Bank (Brasil) Banco Multiplo S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('341', 'Itau Unibanco S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('366', 'Banco Societe Generale Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('370', 'Banco Mizuho do Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('376', 'Banco J. P. Morgan S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('389', 'Banco Mercantil do Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('394', 'Banco Bradesco Financiamentos S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('399', 'Kirton Bank S.A. - Banco Multiplo');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('422', 'Banco Safra S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('456', 'Banco MUFG Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('464', 'Banco Sumitomo Mitsui Brasileiro S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('473', 'Banco Caixa Geral - Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('477', 'Citibank N.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('479', 'Banco ItauBank S.A');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('487', 'Deutsche Bank S.A. - Banco Alemão');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('488', 'JPMorgan Chase Bank, National Association');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('492', 'ING Bank N.V.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('505', 'Banco Credit Suisse (Brasil) S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('600', 'Banco Luso Brasileiro S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('604', 'Banco Industrial do Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('610', 'Banco VR S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('611', 'Banco Paulista S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('612', 'Banco Guanabara S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('623', 'Banco PAN S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('633', 'Banco Rendimento S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('634', 'Banco Triangulo S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('641', 'Banco Alvorada S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('643', 'Banco Pine S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('652', 'Itau Unibanco Holding S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('653', 'Banco Indusval S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('655', 'Banco Votorantim S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('707', 'Banco Daycoval S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('739', 'Banco Cetelem S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('743', 'Banco Semear S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('745', 'Banco Citibank S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('746', 'Banco Modal S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('747', 'Banco Rabobank International Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('748', 'Banco Cooperativo Sicredi S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('751', 'Scotiabank Brasil S.A. Banco Multiplo');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('752', 'Banco BNP Paribas Brasil S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('755', 'Bank of America Merrill Lynch Banco Multiplo S.A.');
INSERT INTO BANCO(NR, DESCRICAO) VALUES('756', 'Banco Cooperativo do Brasil S.A. - BANCOOB');
